import { AwsResource } from '../../cloudformation/resources/AwsResource';
/**
  Specifies a transit gateway.
  For full documentation go to <a href="http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-ec2-transitgateway.html">the AWS Docs</a>
*/
export function transitGateway(transitGatewayProps = {}) {
    return new AwsResource('AWS::EC2::TransitGateway', transitGatewayProps, { Id: 'Id' });
}
